using System;
using System.Numerics;

namespace ConsoleApp1
{
    class Program
    {
        static void Main(string[] args)
        {
            int[,] a;
            a = new int[100, 100];
            int[] x;
            x = new int[1000];
            int[] y;
            y = new int[1000];
            int n, m;
            var nm = Console.ReadLine().Split();
            n = int.Parse(nm[0]);
            m = int.Parse(nm[1]);
            int i, j, br = 0, k = 0, h;
            for (i = 0; i < n; i++)
            {
                var pq = Console.ReadLine().Split();
                x[i] = int.Parse(pq[1]);
            }
            for (i = 0; i < m; i++)
            {
                var rs = Console.ReadLine().Split();
                y[i] = int.Parse(rs[1]);
            }


            for (i = 0; i < n; i++)
            {
                for (j = 0; j < m; j++)
                {
                    if(x[i]< y[j])
                    {
                        a[i, j] = x[i];
                        br+= x[i];
                    }
                    if (x[i] > y[j])
                    {
                        a[i, j] = y[j];
                        br+= y[j];
                    }
                    if (x[i] == y[j])
                    {
                        a[i, j] = x[i];
                        br+= x[i];
                    }
                }
            }
            for (i = 0; i < n; i++)
            {
                for (j = 0; j < m; j++)
                {
                    if (a[i, j] > 0)
                    {
                        k++;
                    }
                }
            }

            Console.WriteLine(br);
            Console.WriteLine(k);
           /*for (h = 0; h < k; i++)
            {
                for (i=0; i<n; i++)
                {
                    for (j=0; j<m; j++)
                    {
                        if (a[i, j]!=0)
                        {
                            Console.WriteLine("{0}", i);
                        }
                        continue;
                    }
                }
            }*/
            for(i=0; i<n; i++)
            {
                for(j=0; j<m; j++)
                {
                    if(a[i, j]>0)
                    {
                        Console.WriteLine("{0} {1} {2}", i + 1, j + 1, a[i, j]); 
                    }
                }
            }



        }
    }
}